Subject: No-nitrite bacon

From: [email-masked] (Michael Johnston -- Michael's Music Service)
Date: 9 Sep 1993 03:03:45 GMT

As promised, the source for the no-nitrite, no-hormone bacon (and other
meat products) is:

Wholesome Lonesome, Inc.
P. O. Box 3205 
Secaucus, NJ  07096

(800) 952-7921  (ask for Olaf)
(201) 935-4411
(201) 507-0507  (fax)

This is thick cut and is brown in color (because there's no nitrite).  It's
saltier than the "regular" store kind because it's salt & sugar cured. Also,
it is not limp (again because of the lack of the preservative and the lower
water content), and that may surprise you.

Let me know if any of you try it.

I made Irish Angel biscuits the other night.  (essentially, an Irish
soda bread with yeast using stone-ground whole wheat flour)  The folks
liked them so much they took a bag home!

Cheers!
Michael
-- 
MICHAEL'S MUSIC SERVICE   | CIS: 70731,3403                   | Michael Johnston
4146 Sheridan Drive       | [email-masked]          |       and  
Charlotte, NC  28205-5654 | (704) 567-1066   (800) 438-4129   |    John Apple  
** Brother Ambrose, Friars Minor **     ** Guillaume de Pomme, Maitre d'Orgue **